%define modulename cairoDevice
%define realver 2.23
%define r_library %{_libdir}/R/library
%global __requires_exclude libR.so

Summary:	A cairo antialiased graphics device driver for R
Name:		R-cran-%{modulename}
Version:	%realver
Release:	%mkrel 5
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://cran.r-project.org/web/packages/%{modulename}/index.html
Source0:	http://cran.r-project.org/src/contrib/%{modulename}_%{realver}.tar.gz
BuildRequires:	R-base
BuildRequires:	gtk2-devel
Requires:	R-base
Recommends:	R-cran-RGtk2

%description
Cairo/GTK graphics device driver with output to screen, 
file (png, svg, pdf, and ps) or memory (GdkDrawable).
The screen device may be embedded into RGtk2 interfaces.
Supports all interactive features of other graphics devices,
including getGraphicsEvent().

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
mkdir -p %{buildroot}/%{r_library}

# (tpg) install
R CMD INSTALL %{modulename} --library=%{buildroot}/%{r_library} --no-test-load

# (tpg) provided by R-base
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%files
%{_libdir}/R/library/%{modulename}


%changelog
* Sat Apr 02 2022 umeabot <umeabot> 2.23-5.mga9
+ Revision: 1840317
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 joequant <joequant> 2.23-4.mga8
+ Revision: 1647033
- update to 4.0.3

* Fri Feb 14 2020 umeabot <umeabot> 2.23-3.mga8
+ Revision: 1516372
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.23-2.mga7
+ Revision: 1300789
- Mageia 7 Mass Rebuild

* Sun Mar 27 2016 pterjan <pterjan> 2.23-1.mga6
+ Revision: 995759
- Update to 2.23

* Mon Feb 08 2016 umeabot <umeabot> 2.20-4.mga6
+ Revision: 943272
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.20-3.mga5
+ Revision: 747815
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20-2.mga5
+ Revision: 677650
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/

* Wed Sep 03 2014 lmenut <lmenut> 2.20-1.mga5
+ Revision: 671142
- Update to 2.20

* Fri Oct 18 2013 umeabot <umeabot> 2.19-3.mga4
+ Revision: 502409
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.19-2.mga3
+ Revision: 345080
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 sander85 <sander85> 2.19-1.mga3
+ Revision: 274498
- New version: 2.19

* Thu Jun 16 2011 ahmad <ahmad> 2.15-1.mga2
+ Revision: 108326
- Update to 2.15
- Use --no-test-load since we don't have X running the chroot
- imported package R-cran-cairoDevice


* Fri Dec 25 2009 Jérôme Brenier <incubusss@mandriva.org> 2.10-1mdv2010.1
+ Revision: 482262
- new version 2.10

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sun Aug 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8-1mdv2009.0
+ Revision: 270294
- update to new version 2.8

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Fri Feb 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6-2mdv2008.1
+ Revision: 176958
- remove requires on libR.so

* Sun Feb 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6-1mdv2008.1
+ Revision: 169889
- fix buildrequires
- fix Url
- suggests R-cran-RGtk2
- add source and spec file
- Created package structure for R-cran-cairoDevice.

